cce(1)

NAME
cce - Console CJK(Chinese/Japanese/Korean) Environment

SYNTAX
cce [OPTIONS] [-e program]

ccegbk | cceb5 | ccejis | cceksc [OPTIONS] [-e program]

DESCRIPTION
The program supports CJK(Chinese/Japanese/Korean) display and input under Linux, *BSD(FreeBSD/NetBSD/OpenBSD), Solaris, BeOS, QNX, LynxOS, GNU Hurd, Minix, SCO Unix, Darwin and Mac OS X. Staring from version 0.41, CCE can support simplified Chinese(GB/GBK), traditional Chinese(Big5), Japanese(JIS/ShiftJIS) and Korean(KSC). The default system encoding is GB2312, you can run ccegbk(GBK), cceb5(Big5), ccejis(JIS) or cceksc(KSC) to select a different default system encoding, you can also use options to set the encoding.

You can run CCE in local console(both frame buffer and VGA mode) and X Windows(through GGI/SDL). CCE supports up to 10 windows in the same console terminal, you can use Ctrl+Alt+A/X to add/delete and Ctrl+Alt+N/P to switch window.

Use Ctrl+Space to change Chinese/English input state, Ctrl+Alt+0-9 to select input method. Use Shift-Alt-Space to change full/half-width ASCII and Ctrl-Period to change Chinese/English punctuation. CCE includes lots of input methods from different sources supporting GB/GBK/Big5/JIS/KSC. By default, Ctrl+Alt+0 is the internal code input method. Ctrl+Alt+1 is the PinYin input method. You can custimize all the input method settings by changing cce.cfg. You can assign an associate file(LianXiang, in any encoding) to the input method, then it will have LianXiang input capability automatically.

CCE has a built-in universal encoding convertor, so you can use input method for one encoding to input hanzis for another encoding. For example, if you are familar with Big5 input methods, you can use Big5 to input GB/GBK Chinese, CCE will do the conversion for you automatically. You can even use Chinese input methods to input Japanese/Korean hanzis and vice versa.

You can make your own input method by using cin2tab(installed to /usr/local/share/cce). cin2tab converts input method from source format(*.cin) to binary format(*.tab).

CCE uses its own binary font format, you can use bdf2bin to convert X11 bdf fonts into bin format. Starting from 0.50, CCE also supports X11 bdf/pcf fonts directly, you need to use option '--enable-x11font'. CCE can also support TrueType fonts through freetype library, you need to use option '--enable-freetype'.

Staring from version 0.40, CCE supports 24x24 fonts, if you are using frame buffer with resolution 1024x768 or up, 24x24 fonts look better. You can modify the font section of CCE's configuration file /usr/local/share/cce/cce.cfg.

In Linux and FreeBSD, CCE supports both frame buffer and standard VGA mode. In other OS, only VGA mode is supported under console. For GUI environment, CCE depends on GGI/SDL library, you can run CCE in X Windows, BeOS, QNX Photon, MS Windows, etc.

In FreeBSD, you need to specify the desired frame buffer resolution in cce.cfg(section FreeBSDFrameBuffer). By default, 800x600(16 colors) will be tried first, then VGA 640x480(16 colors). You can use vidcontrol to query and change the screen resolution.

In Linux, CCE will try to open /dev/fb(and /dev/fb/0) first(and use current frame buffer's resolution), if that fails, it will use the VGA mode. For VESA frame buffer driver, you need to add 'vga=MODE' to your lilo.conf, so video mode can be changed during booting, you can't change the mode later. Please read /usr/src/linux/Documentation/fb/vesafb.txt for more information. You can use fbset to display or change your frame buffer settings. For example: fbset "1024x768-60", fbset -depth 8. You can check /etc/fb.modes for more modes. Don't change your frame buffer resolution while CCE is running.

CCE supports mouse cut and paste funtion(Left Button for Copy, Middle/Right Button for Paste). In Linux, CCE will try to communicate with gpm mouse server first, if that fails, CCE will get the mouse device and protocol information from cce.cfg. In FreeBSD, CCE will try to use the virtual mouse device /dev/sysmouse with MouseSystems protocol, you need to have moused running in order to support mouse. CCE supports these mouse protocols: Microsoft(serial mouse), MouseSystems, BusMouse, MMSeries, Logitech or PS2(default), you can change it in configuration file cce.cfg.

OPTIONS
-help

Display CCE's usage information.

-e

Specify the program to execute after CCE starts, the default one is shell.

For example: cce -e vi

-gb | -gb2312

Use GB2312 as default system encoding, support simplified Chinese.

-gbk

Use GBK as default system encoding, support simplified Chinese.

-b5 | -big5

Use Big5 as default system encoding, support traditional Chinese.

-jis | -eucjp

Use EUC-JP as default system encoding, support Japanese.

-sjis | -shiftjis

Use Shift-JIS as default system encoding, support Japanese.

-ksc

Use KSC as default system encoding, support Korean.

-ggi

Use GGI as preferred display and input engine.

-sdl

Use SDL as preferred display and input engine.

-ttfont

Specify the TrueType font filename.

-ttsize

Specify the desired TrueType font size.

CONFIGURATION
CCE's configuration file is /usr/local/share/cce/cce.cfg. You can change lots of options in that file.

USAGE
 Ctrl+Space Toggle Chinese/English
 Shift+Alt+Space Toggle between Full/Half-Width ASCII Character
 Ctrl+PERIOD Toggle Chinese/English Punctuation
 Ctrl+Alt+L Enable/Disable Associate Input(LianXiang)
 Ctrl+Alt+0 Internal Code Input Method(customizable)
 Ctrl+Alt+1 QuanPin(GB/GBK) CangJie(Big5)
 Ctrl+Alt+3 WuBi Input Method(customizable)
 Ctrl+Alt+6 CiYin Input Method(support pinyin and zhuyin)
 Ctrl+Alt+9 ZhiYin Input Method(support pinyin and zhuyin)
 Ctrl+Alt+0-Ctrl+Alt+9 Any Input Methods(change cce.cfg)
 Ctrl+Alt+E Switch system encoding(GB/GBK/Big5/JIS/KSC...)
 Ctrl+Alt+K Change Keyboard(QuanPin, ShuangPin, ZhuYin)
 Ctrl+Alt+A Add new window (maximum 10 windows)
 Ctrl+Alt+X Delete current window
 Ctrl+Alt+N switch to Next window
 Ctrl+Alt+P switch to Previous window
 Ctrl+Alt+R Repaint the whole screen
 Note:
 1) On LynxOS, please use Shift-Alt- instead of Ctrl-Alt-.
 2) On NetBSD/OpenBSD, use Shift-Alt-0~9 to replace Ctrl-Alt-0~9
    and Alt-Period to replace Ctrl-Period.
 3) On Minix/Hurd/QNX, etc, you need to hit a prefix key(Ctrl-Q
    by default) followed by the command key(0-9/ekaxnprl. etc).

AUTHORS
cce: Rui He <herui_cce@yahoo.com>

CONTRIBUTORS
yact: Nicholas Pearl <Nicholas.bbs@bbs.csie.nctu.edu.tw>

bcs16: Server <cnoize.bbs@bbs.cis.nctu.edu.tw>

chdrv: Youzhong Wang <wycc@iis.sinica.edu.tw>

kon: Takashi MANABE <manabe@papilio.tutics.tut.ac.jp>

pyinput: ZhenChun Li <zhchli@163.net>

miniChinput: Bo Zhang <bozhang@usc.edu>

BUGS
Bug reports and comments/suggestions should be sent to herui_cce@yahoo.com

DISCLAIMER
This software is provided "as is" without warranty of any kind, either expressed or implied, including, but not limited to, the implied warranty of fitness for a particular purpose. The authors disclaim all warranties with regard to this program.